varying vec2 vtex0;

attribute vec2 tex0;

uniform vec3 light_pos[kMaxLights];

uniform vec4 light_diffuse[kMaxLights];
uniform vec4 light_ambient[kMaxLights];

void main()
{
    vtex0 = tex0;
    vec3 to_light = normalize(light_pos[0] - pos);
    
    vec3 vnml = ix_nml_transform();
    vec4 light_color = (dot(normalize(vnml), to_light) * light_diffuse[0]) + light_ambient[0];
    vcol = vec4(light_color.rgb, 1.0);
    gl_Position = ix_transform();
    gl_Position.z -= 0.001;
}