varying vec2 vtex0;
varying vec3 vto_light[kMaxLights];
varying vec3 vhalf[kMaxLights];
varying vec3 vnml;

attribute vec2 tex0;

uniform vec3 eye_dir_m;

uniform vec3 light_pos[kMaxLights];

void main()
{
    vec3 tmp;
    vec3 eye_dir_t;
    
    eye_dir_t = ix_tangent_space_eye(eye_dir_m);
    
    for (int i = 0; i < int(kMaxLights); ++i)
    {
        tmp = light_pos[i] - pos;
        vto_light[i] = normalize(ix_tangent_space_dif(tmp));
        vhalf[i] = normalize(vto_light[i] - eye_dir_t);
    }
    vtex0 = tex0;
    vnml = nml;
    gl_Position = ix_transform();
}