varying vec2 vtex0;
varying vec3 vto_light[kMaxLights];
varying vec3 vhalf[kMaxLights];
varying vec3 vnml;

attribute vec2 tex0;

uniform vec3 eye_dir_m;

uniform vec3 light_pos[kMaxLights];

void main()
{
    vtex0 = tex0;
    
    for (int i = 0; i < int(kMaxLights); ++i)
    {
        vto_light[i] = normalize(light_pos[i] - pos);
        vhalf[i] = normalize(vto_light[i] - eye_dir_m);
    }
    
    vnml = ix_nml_transform();
    gl_Position = ix_transform();
}