varying vec2 vtex0;
varying vec3 vto_light;
varying vec3 vhalf;
varying vec3 vnml;

attribute vec2 tex0;

uniform vec3 eye_dir_m;

uniform vec3 light_pos[kMaxLights];

void main()
{
    vtex0 = tex0;
    vto_light = normalize(light_pos[0] - pos);
    vhalf = normalize(vto_light - eye_dir_m);
    
    vnml = ix_nml_transform();
    gl_Position = ix_transform();
}