
varying vec2 vtex0;
varying vec2 vtex1;
varying vec3 vnml;
varying vec3 vpos;

attribute vec2 tex0;
attribute vec2 tex1;

uniform mat4 transform;

uniform vec3 camera_pos_w;
uniform vec3 camera_dir_w;



void main()
{
	vtex0 = tex0;
	vtex1 = tex1;
	vpos = pos;

	vnml = (transform * vec4(0.0, 0.0, 1.0, 0.0)).xyz;
	
	gl_Position = projection * modelview * vec4(pos, 1.0);
}