varying vec2 vtex0;

attribute vec2 tex0;

uniform vec3 light_pos[kMaxLights];
uniform vec4 light_diffuse[kMaxLights];
uniform vec4 light_ambient[kMaxLights];

void main()
{
    vtex0 = tex0;
    vec3 to_light = vec3(0.0, 0.0, 0.0);
    vec4 light_color = vec4(0.0, 0.0, 0.0, 0.0);
    
    vec3 vnml = normalize(ix_nml_transform());
    for (int i = 0; i < int(kMaxLights); ++i)
    {
        
        to_light = normalize(light_pos[i] - pos);
        light_color += (clamp(dot(vnml, to_light), 0.0, 1.0) * light_diffuse[i]) + light_ambient[i];
    
    }
    vcol = vec4(light_color.rgb, 1.0);
    gl_Position = ix_transform();
}