// Force on bones and weights
#ifndef kHasAnimation
    attribute vec4 bones;
    attribute vec4 weights;
#endif

uniform float cur_bone;

void main()
{
    vec4 accum = vec4(0.0, 0.0, 0.0, 1.0);
    
    if (int(bones.x) == int(cur_bone))
    {
        accum.x = weights.x;
    }
    if (int(bones.y) == int(cur_bone))
    {
        accum.y = weights.y;
    }
    if (int(bones.z) == int(cur_bone))
    {
        accum.z = weights.z;
    }
    
    float weight_sum = weights.x + weights.y + weights.z + weights.w;
    if (weight_sum > 1.0000001)
    {
        accum = vec4(1.0, 0.5, 0.0, 1.0);
    }
    
    vcol = accum;
    
	gl_Position = ix_transform();
}