varying vec2 vtex0;

attribute vec2 tex0;
attribute vec2 tex1;

uniform vec2 view_dimm;

void main()
{
	vcol = ix_vertex_color();
    vtex0 = compute_vertex_uv(tex0);

    gl_Position = ix_transform();
#ifdef BILLBOARD
    #if BILLBOARD == 1 // Camera space size
    gl_Position.xy += tex1*gl_Position.w;
    #elif BILLBOARD == 2 // World space size
    //gl_Position.xy += tex1*view_dimm;
    float aspect = view_dimm.x / view_dimm.y;
    gl_Position.x += tex1.x;
    gl_Position.y += tex1.y*aspect;
    #endif
#endif
}
