varying highp vec2 vtex0;

uniform sampler2D diffuse;

void main()
{
    // the font's color (and alpha) is in the vertex color
    gl_FragColor.xyzw = vcol.xyzw;

    // the font's 'bitmap' is encoded as alpha
    highp float fval = texture2D(diffuse, vtex0).r;

    // ...which we adjust here 
    gl_FragColor.w *= (fval);
}
