varying highp vec2 vtex0;

uniform sampler2D diffuse;

void main()
{
    // Fonts are multiplied by the alpha of the texture since it's just a greyscale value
    // rgb will be pitch black - therefore texture colors won't be respected
    highp float fval = texture2D(diffuse, vtex0).a;
    fval = min(fval + 0.2, 1.0);
    if (fval <= 0.3)
        discard;
    
	gl_FragColor = global_color * fval;
}