varying vec2 vtex0;
varying vec3 wPosition;

uniform vec2 dimensions;

void main()
{
    gl_Position = ix_transform();
    vtex0 = vec2(pos.x / dimensions.x, pos.z / dimensions.y);
    
    mat4 model = get_model_matrix();
    highp vec3 oPos = ix_pos_transform();
    wPosition = (model * vec4(oPos, 1.)).xyz;
}
