varying vec2 vtex0;
varying vec3 vto_light;
varying vec3 vhalf;

attribute vec2 tex0;

uniform vec3 eye_dir_m;

uniform vec3 light_pos[kMaxLights];

void main()
{

    vec3 to_light = light_pos[0] - pos;
    ix_tangent_space(to_light, eye_dir_m, vto_light, vhalf);

    vtex0 = tex0;
    gl_Position = ix_transform();

}