varying highp vec2 vtex0;
varying highp vec2 vtex1;


uniform sampler2D diffuse;
uniform sampler2D overlay;

uniform lowp float scroll;
uniform highp vec2 view_dimm_inv;

uniform highp vec2 texture_scale[kMaxTextureUnits];

void main()
{
    highp vec4 diff = texture2D(diffuse, vtex0);
    highp vec2 fc = vec2(gl_FragCoord.x * view_dimm_inv.x, gl_FragCoord.y * view_dimm_inv.y);
    highp vec4 op = texture2D(overlay, fc * texture_scale[1] + vec2(0.0, scroll)) * diff.a;

    gl_FragColor = op * diff * global_color * vcol;
}