
varying vec2 vtex0;
varying float valpha;

attribute vec2 tex0;


uniform vec3 camera_dir_w;
uniform vec3 camera_pos_w;

void main()
{
    vtex0 = tex0;
    
    vec3 to_pixel = normalize(pos - camera_pos_w);
    float intensity = dot(to_pixel, camera_dir_w);
    valpha = min(1.0, pow(intensity, 16.0));

    vcol = ix_vertex_color();
    gl_Position = projection * modelview * vec4(pos, 1.0);
}