varying highp vec2 vtex0;

uniform sampler2D diffuse;
uniform sampler2D overlay;

uniform highp vec2 view_dimm_inv;

void main()
{
    highp vec4 diff = texture2D(diffuse, vtex0);
    if (diff.a <= 0.0)
        discard;
    
    highp vec2 fc = vec2(gl_FragCoord.x * view_dimm_inv.x, 1.0 - gl_FragCoord.y * view_dimm_inv.y);
    highp vec4 scr = texture2D(overlay, fc);
    
	gl_FragColor = (scr * (1.0 - diff.a)) + (diff * aux_color);
}